%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Build infrastructure and utilities for GNOME C++ bindings
Name:		mm-common
Version:	1.0.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/GNOME and GTK+
Url:		https://www.gtkmm.org/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	curl
BuildRequires:	wget
BuildRequires:	meson

%description
The mm-common module provides the build infrastructure and utilities
shared among the GNOME C++ binding libraries.  It is only a required
dependency for building the C++ bindings from the gnome.org version
control repository.  An installation of mm-common is not required for
building tarball releases, unless configured to use maintainer-mode.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%files
%doc OVERVIEW.md README.md NEWS AUTHORS
%{_docdir}/%{name}/skeletonmm*
%_bindir/mm-common-prepare
%_bindir/mm-common-get
%_datadir/aclocal/*.m4
%_datadir/%name
%_datadir/pkgconfig/*.pc
%_mandir/man1/*.1*


%changelog
* Tue Dec 13 2022 tv <tv> 1.0.5-1.mga9
+ Revision: 1921717
- 42.5

* Mon Mar 28 2022 umeabot <umeabot> 1.0.4-2.mga9
+ Revision: 1830562
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 ovitters <ovitters> 1.0.4-1.mga9
+ Revision: 1772973
- new version 1.0.4

* Thu May 20 2021 ovitters <ovitters> 1.0.3-1.mga9
+ Revision: 1725767
- new version 1.0.3

* Fri Sep 25 2020 ovitters <ovitters> 1.0.2-1.mga8
+ Revision: 1630081
- new version 1.0.2

* Thu Jun 04 2020 ovitters <ovitters> 1.0.1-1.mga8
+ Revision: 1590362
- new version 1.0.1

* Tue Feb 18 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1538213
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1461131
- new version 1.0.0
- switch to meson build system

* Thu Sep 20 2018 umeabot <umeabot> 0.9.12-2.mga7
+ Revision: 1279939
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sat Apr 07 2018 ovitters <ovitters> 0.9.12-1.mga7
+ Revision: 1216041
- new version 0.9.12

* Fri Aug 25 2017 ovitters <ovitters> 0.9.11-1.mga7
+ Revision: 1147743
- new version 0.9.11

* Mon Feb 08 2016 ovitters <ovitters> 0.9.10-1.mga6
+ Revision: 950145
- new version 0.9.10

* Fri Nov 27 2015 ovitters <ovitters> 0.9.9-1.mga6
+ Revision: 906403
- new version 0.9.9

* Wed Oct 21 2015 daviddavid <daviddavid> 0.9.8-2.mga6
+ Revision: 893606
- add more docs to fix build with latest rpm

* Wed Jul 15 2015 ovitters <ovitters> 0.9.8-1.mga6
+ Revision: 854321
- new version 0.9.8

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-3.mga5
+ Revision: 740824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-2.mga5
+ Revision: 682549
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 ovitters <ovitters> 0.9.7-1.mga5
+ Revision: 676797
- new version 0.9.7

* Fri Oct 18 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 507978
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-2.mga3
+ Revision: 360173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 ovitters <ovitters> 0.9.6-1.mga3
+ Revision: 303213
- new version 0.9.6

* Wed Feb 15 2012 ovitters <ovitters> 0.9.5-3.mga2
+ Revision: 209349
- clean spec

* Tue Jun 28 2011 fwang <fwang> 0.9.5-2.mga2
+ Revision: 115033
- imported package mm-common

